<?php



$errors = array();
$info = array();
$info_success = array();





//check if action is save news



//validate the title
if(!empty($_POST['title']))
{
   $title = mysqli_real_escape_string($dbc, $_POST['title']);
   
   $_SESSION['title'] = $title;
 
}
else
{
   $errors[] = '<p> * </p>';
}


//validate the code
if(!empty($_POST['code']))
{
   $code = mysqli_real_escape_string($dbc, $_POST['code']);
   
   $_SESSION['code'] = $code;
 
}
else
{
   $errors[] = '<p> * </p>';
}


//validate the unit
if(!empty($_POST['unit']))
{
   $unit = mysqli_real_escape_string($dbc, $_POST['unit']);
   
   $_SESSION['unit'] = $unit;
 
}
else
{
   $errors[] = '<p> * </p>';
}


  //validate the department
  if($_POST['department'] == 0)
  {
	   $errors[] = '<p> * </p>';
	 
   
  }
  else
  {
	  $department= mysqli_real_escape_string($dbc, $_POST['department']);
	  $_SESSION['department'] = $department;
	
  }
	
	
	
//validate the course
  if($_POST['course'] == 0)
  {
	   $errors[] = '<p> * </p>';
	 
   
  }
  else
  {
	  $course= mysqli_real_escape_string($dbc, $_POST['course']);
	  $_SESSION['course'] = $course;
	
  }	
  
  
  
  //validate the level
  if($_POST['level'] == 0)
  {
	   $errors[] = '<p> * </p>';
	 
   
  }
  else
  {
	  $level = mysqli_real_escape_string($dbc, $_POST['level']);
	  $_SESSION['level'] = $level;
	
  }	  



  //validate the semester
  if($_POST['semester'] == 0)
  {
	   $errors[] = '<p> * </p>';
	 
   
  }
  else
  {
	  $semester = mysqli_real_escape_string($dbc, $_POST['semester']);
	  $_SESSION['semester'] = $semester;
	
  }	

//collect the description
$description = (!empty($_POST['description']))? (mysqli_real_escape_string($dbc,$_POST['description'])): 
 NULL;
$_SESSION['description'] = $description;


//collect the status
$status = (!empty($_POST['status']))? (mysqli_real_escape_string($dbc,$_POST['status'])): 
 NULL;
$_SESSION['status'] = $status;



//finaly get security id
$user_id = get_user_id();


$security_id = get_security_id($user_id);



 
 
 
if(empty($errors))
{
	//destroy session if there is no error
	
	unset($_SESSION['title']);
	unset($_SESSION['unit']);
	unset($_SESSION['course']);
	unset($_SESSION['description']);
	unset($_SESSION['code']);
	unset($_SESSION['department']);
	unset($_SESSION['level']);
	unset($_SESSION['semester']);
	unset($_SESSION['status']);
		
	
	 //check if the query is for adding den add
	
	
		$q = "INSERT INTO `subjects` (`id`, `title`, `code`, `unit`, `department_id`, `course_id`,  `description`,`level`,`semester`, 
		`date_added`, `added_by` , `status` ) 
				VALUES (NULL,'$title', '$code', '$unit', '$department', '$course', '$description', '$level', '$semester', NOW(),
				'$security_id' ,'$status')";
							
							
		$r = mysqli_query($dbc,$q);
	
	if($r)
	{
		$info_success['success'] = 'Successfully added!';
		header("Location: gateway.php?act=view_subjects&is=".urlencode($info_success['success']).""); //is - info success
		
	}
	else
	{
		$errors['error'] =  'Subject not added due to a system error. We apologize for any inconvenience.';
										
		header("Location: gateway.php?act=add_subjects&error=".urlencode($errors['error'])."");
	}
	
}
else
{//stay back in departments form


	$errors['error'] =  'Fill the form appropriately, take note of <span class="ast">*</span>.';
										
	header("Location: gateway.php?act=add_subjects&error=".urlencode($errors['error'])."");

}



?>